Skip to main content

Query Historical Algo Orders(USER_DATA)

API Description​

Get all historical Spot TWAP and VP algo orders

HTTP Request​

GET /sapi/v1/algo/spot/historicalOrders

Request Weight(IP)​

1

Request Parameters​

NameTypeMandatoryDescription
symbolSTRINGNOTrading symbol eg. BTCUSDT
sideENUMNOBUY or SELL
startTimeLONGNOin milliseconds eg.1641522717552
endTimeLONGNOin milliseconds eg.1641522526562
pageINTNODefault is 1
pageSizeINTNOMIN 1, MAX 100; Default 100
recvWindowLONGNO
timestampLONGYES

Response Example​

{
"total": 1,
"orders": [
{
"algoId": 14518,
"symbol": "BNBUSDT",
"side": "BUY",
"totalQty": "100.00",
"executedQty": "0.00",
"executedAmt": "0.00000000",
"avgPrice": "0.000",
"clientAlgoId": "acacab56b3c44bef9f6a8f8ebd2a8408",
"bookTime": 1649757019503,
"endTime": 1649757088101,
"algoStatus": "CANCELLED",
"algoType": "TWAP",
"urgency": "LOW",
"duration": 86400
}
]
}
  • duration is the order duration in seconds. It is only returned for TWAP orders.